{% extends "header_footer_general.html" %}

{% block title%}
Surplus Chart | SolarSolutions
{% endblock %}

{% block content %}

<!DOCTYPE html>
<html lang="en">
<!-- verificare-->

<body>

  <main id="main">

    {% if more_systems == true %}
    <div style="position: absolute; margin-top:20%; margin-left: 5%;">
      <h3 id="system_1" onclick="make_red(this.id)">System 1</h3>
      <br>
      <h3 id="system_2" onclick="make_red(this.id)">System 2</h3>
      <br>
      <h3 id="system_3" onclick="make_red(this.id)">System 3</h3>
    </div>
    
    <form method="POST">
      <button type="submit" id="submit_system" style="display: none;"></button>
      
      <input type="text" name="from" value="system" style="display: none;">
      <input type="text" value="{{system}}" style="display: none;" id="selected_system" name="selected_system">
    </form>

    <script>
      window.onload = function(){
        var input = document.getElementById("selected_system");
        var id = parseInt(input.value) + 1
        var id = "system_" + String(id)

        var get_system = document.getElementById(id);
        get_system.style.color = "red";
      }
      function make_red(id){
        console.log(id);

        var input = document.getElementById("selected_system");
        input.value = id


        var submit = document.getElementById("submit_system");
        submit.click();


      }

    </script>
    {% endif %}

    <div class="container" style="width: 50%; height: 80%; margin: 6% auto">
      <div class="section-title">
        <h2>Surplus Chart</h2>
        <p>The following chart illustrates the expected surplus generated by the proposed system</p>
        <br>
        <h3>Type in here a particular price per kW:</h3>

        <form method="POST">
          <style>
            input:focus{
              outline: none;
            }
            input[type='text']::placeholder
            {   
                text-align: center;      /* for Chrome, Firefox, Opera */
            }
              </style>

          <input type="text" name="from" value="price" style="display: none;">
          <input type="text" id="price_per_kW" name="price_per_kW" placeholder="Default is 0.23 RON" style="background-color: transparent; border:none; border-bottom:1px solid rgba(0, 0, 0, 0.5); text-align: center" value="{{ price }}">
  

          <button type="submit" style="display: none;">CHANGE</button>
          </form>

          <br>

      
        <canvas id="myChart"></canvas>
        
        <br>
        <br>
        <h1>Your annual profits would be:  {{ surplus_graph.annual_profit }} RON</h1>
      </div>
    
    </div>

    <input type="text" id="max_point" value="{{surplus_graph.max_point}}" style="display: none;">
    <input type="text" id="column_blue" value="{{surplus_graph.colums2}}" style="display: none;">


    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script>
      var max_point = document.getElementById("max_point").value
      var column_blue = document.getElementById("column_blue").value

      console.log(column_blue[0])


      column_blue = column_blue.replace('[', '')
      column_blue = column_blue.replace(']', '')
      column_blue = column_blue.split(", ")
      

      const data_column_blue = []

      let i = 0
      for(i=0; i<column_blue.length; i++){

        column_blue[i] = parseFloat(column_blue[i])
        data_column_blue[i] = column_blue[i] * max_point / 100;

      }
      console.log(column_blue)

      data_column_blue[i + 1] = max_point


      let myChart = document.getElementById("myChart").getContext("2d");
      let massPopChart = new Chart(myChart, {
        type: "bar",
        data: {
          labels: [
            "January",
            "February",
            "March",
            "April",
            "May",
            "June",
            "July",
            "August",
            "September",
            "October",
            "November",
            "December",
          ],
          datasets: [
            {
              label: "Surplus",
              data: data_column_blue,
              backgroundColor: "rgba(48, 132, 158,0.3)",
              borderColor: "rgba(48, 132, 158,0.5)",
              borderWidth: 2,
            },
            
          ],
        },
      });
    </script>
      </main>

  <a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i class="bi bi-arrow-up-short"></i></a>

</body>

</html>

{% endblock %}